Gå direkte til hovedinnholdet
Ring oss
Telefonnummer og åpningstider
Hjelpesenter

Utforsk netthjelpen vår

Hjelp

Administrert WordPress Hjelp

Vi prøvde så godt vi kunne å oversette denne siden for deg. Den engelske siden er også tilgjengelig.

Pensjonerer gamle PHP -versjoner

Advarsel: I løpet av juli 2022 vil vi trekke tilbake alle utløpte versjoner (EOL) av PHP på vår Managed WordPress-hostingplattform.

PHP er programmeringsspråket som WordPress -koden er basert på. Dette språket kjører på serveren, og det er viktig for sikkerheten og funksjonaliteten til WordPress -nettstedet ditt å holde det oppdatert.

Velg et spørsmål for å se svaret:

Hvorfor skjer dette?

End of Life (EOL) -versjoner støttes ikke lenger for sikkerhetsoppdateringer, noe som potensielt kan gjøre WordPress -nettstedet ditt sårbart. Oppdatering av gjeldende PHP -versjon kan også forbedre ytelsen og stabiliteten for de fleste nettsteder.

For å forberede oss på dette, gjør vi oss klare til å trekke følgende PHP -versjoner ut av drift:

  • 5.6
  • 7.0, 7.1, 7.2, 7.3

Hvordan vil jeg vite hvilken PHP -versjon jeg bruker?

PHP -versjonen din kan sees flere steder:

  • Managed WordPress hosting -instrumentbord: Under Innstillinger , velg Production Site og deretter PHP -versjon. Du kan også oppdatere PHP -versjonen din her.
  • WordPress -instrumentbord: På hjemmesiden vil en administratormelding vise PHP -oppdatering påkrevd . Følg koblingen for å oppdatere PHP -versjonen din.
  • PHP -infoskript: Du kan opprette en PHP -infofil og plassere den i public_html -katalogen din. Dette vil vise PHP -versjonsinformasjonen din når filen lastes inn i nettleseren din.

Hva anbefaler du at jeg gjør?

Hvis nettstedet kjører på en EOL -versjon av PHP, anbefaler vi at du er proaktiv og oppdaterer nettstedet.

Først bør du oppdatere plugin -modulene og det aktive temaet . Dette er den mest sannsynlige årsaken til problemer når du oppdaterer PHP -versjonen for WordPress -nettstedet ditt. Du bør også benytte anledningen til å gå gjennom utviklerens dokumentasjon for plugin -modulene og temaet for å se om det er noen problemer å være oppmerksom på når du oppdaterer PHP -versjonen.

Våre Deluxe-, Ultimate- og Netthandel-Managed WordPress-planer inkluderer et testnettsted med ett klikk, hvor du kan teste nettstedet ditt på den nyeste versjonen av PHP. Dette er et flott sted å feilsøke og løse eventuelle problemer du kan støte på uten å påvirke nettstedet ditt. Når du har fullført oppdateringen og løst problemene på testnettstedet ditt, kan du sende endringene til live -nettstedet ditt.

Merk: Hvis nettstedet ditt har en grunnleggende Managed WordPress -plan, må du oppgradere til en Deluxe-, Ultimate- eller Netthandel -plan for å få tilgang til oppsettmiljøet. ( Slik oppgraderer du )

Avhengig av EOL PHP -versjonen nettstedet kjører på, er det ikke sikkert mye som må endres for at nettstedet skal fungere skikkelig. Jo eldre versjonen er, desto mer arbeid kan det innebære for å gjøre nettstedet ditt klart for endringen.

Hvis nettstedet ditt kjører på PHP versjon 5.6, bør du gjennomgå funksjonene som er avviklet i PHP 7.0.x på PHP.net. Du må kanskje engasjere WordPress -utvikleren eller administratoren din for å sikre at nettstedet ditt fungerer som det skal etter endring av PHP -versjon.

Hvis nettstedet ditt kjører på PHP 7.0 - 7.3, kan du finne informasjon om hvordan du overfører til en nyere versjon i vedleggene på PHP.net.

Hvis du ikke har en WordPress-utvikler eller administrator som kan hjelpe deg med nettstedet ditt, kan vår betalte tjeneste WordPress Premium-støtte hjelpe deg.

Hvordan endrer jeg PHP -versjonen?

I Innstillinger -delen av Managed WordPress -hosting -instrumentbordet ditt kan du endre PHP -versjonen .

Hva skjer hvis jeg ikke gjør noe?

Hvis nettstedet ditt for øyeblikket bruker en EOL PHP -versjon og du ikke handler, kan det hende at noen aspekter av nettstedet ditt ikke vil fungere hvis de er avhengig av utdatert kode i disse eldre versjonene. Du bør ta kontakt med nettutvikleren din eller WordPress -administratoren hvis du er usikker.

Siden EOL PHP -versjoner er pensjonerte, vil alle som fremdeles bruker en EOL -versjon oppdage at nettstedet deres har blitt endret til en nyere, stabil versjon av PHP.